Article ID: 117973, created on Oct 15, 2013, last review on Nov 26, 2014

  • Applies to:
  • Operations Automation 5.5

Symptoms

After upgrade to 5.5.1, modifying Exchange mailboxes, like changing limits, fails on domains with Exchange 2010 Multi-Tenant with the error below:

Cannot load Windows PowerShell snap-in Microsoft.Exchange.Management.PowerShell.E2010 because of the following error: The type initializer for 'Microsoft.Exchange.Data.Directory.Globals' threw an exception.

Cause

.NET 4.5 installed on WPE nodes is not compatible with 5.5.1 update on domains with Exchange 2010 Multi-Tenant.

Resolution

Uninstall .NET 4.5 on all WPE nodes, use .NET 4.0 instead.

Search Words

Failed Task

Provide Exchange hosting for organization

Cannot load Windows PowerShell snap-in Microsoft.Exchange.Management.PowerShell.E2010

Provisioning request failed. Call of method "SW Managed Exchange:

5b048d9bddf8048a00aba7e0bdadef37 caea8340e2d186a540518d08602aa065 5356b422f65bdad1c3e9edca5d74a1ae 2554725ed606193dd9bbce21365bed4e e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF